#include "main.h"
#include <avr/sleep.h>

void power_down(void)
{
	set_sleep_mode(SLEEP_MODE_PWR_DOWN);
	MCUCR |= 0b00000101;
	MCUCR &= 0b11110101;
	GICR |= 0b11000000;
	sleep_enable();
	sleep_cpu();
	GICR &= ~(0b11000000); //redundant
	sleep_disable();
}

static inline void sleep_done(void)
{
	GICR &= ~(0b11000000);
}

ISR(INT0_vect)
{
	sleep_done();
}
ISR(INT1_vect)
{
	sleep_done();
}

